Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sitemap
Class InvocationImpl

    java.lang.Object
      org.apache.cocoon.sitemap.InvocationImpl

All Implemented Interfaces:
  Invocation

    public class InvocationImpl

extends Object
implements Invocation

Nested Class Summary
`class` | `InvocationImpl.UnsupportedExpressionLanguageException`
`class` | `InvocationImpl.VariableNotFoundException`

Constructor Summary
`InvocationImpl()`
`InvocationImpl(OutputStream outputStream)` Create a `InvocationImpl` object using the given output stream.
`InvocationImpl(OutputStream outputStream, String requestURI)` Create a `InvocationImpl` object using the given output stream and requestURI.
`InvocationImpl(OutputStream outputStream, String requestURI, Map<String,Object> parameters)` Create a `InvocationImpl` object using the given output stream, requestURI and parameters.

Method Summary
`void` | `execute()`
`OutputStream` | `getOutputStream()`
`Object` | `getParameter(String name)`
`Map<String,Object>` | `getParameters()`
`String` | `getRequestURI()`
`Throwable` | `getThrowable()`
`boolean` | `hasCompletePipeline()`
`void` | `installAction(String type)`
`void` | `installComponent(String type, Map<String,? extends Object> componentParameters)`
`void` | `installPipeline(String type, Map<String,? extends Object> componentParameters)`
`boolean` | `isErrorInvocation()`
`void` | `popSitemapParameters()`
`void` | `pushSitemapParameters(String nodeName, Map<String,? extends Object> sitemapParameters)`
`void` | `reset()`
`URL` | `resolve(String resource)`
`String` | `resolveParameter(String parameter)`
`void` | `setBaseURL(URL baseURL)`
`void` | `setComponentProvider(ComponentProvider componentProvider)`
`void` | `setObjectModel(ObjectModel objectModel)`
`void` | `setOutputStream(OutputStream outputStream)`
`void` | `setParameters(Map<String,Object> parameters)`
`void` | `setRequestURI(String requestURI)`
`void` | `setThrowable(Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationImpl

    public InvocationImpl()

### InvocationImpl

    public InvocationImpl(OutputStream outputStream)

  Create a `InvocationImpl` object using the given output stream.

  Parameters:
    `outputStream` - The `OutputStream` where the result is written to.

### InvocationImpl

    public InvocationImpl(OutputStream outputStream,
                          String requestURI)

  Create a `InvocationImpl` object using the given output stream and requestURI.

  Parameters:
    `outputStream` - The `OutputStream` where the result is written to.
    `requestURI` - The requested path.

### InvocationImpl

    public InvocationImpl(OutputStream outputStream,
                          String requestURI,
                          Map<String,Object> parameters)

  Create a `InvocationImpl` object using the given output stream, requestURI and parameters.

  Parameters:
    `outputStream` - The `OutputStream` where the result is written to.
    `requestURI` - The requested path.
    `parameters` - A `Map` of parameters that are used when the pipeline is being executed.

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `Invocation`
  See Also:
    `Invocation.reset()`

### execute

    public void execute()
                 throws Exception

  Specified by:
    `execute` in interface `Invocation`
  Throws:
    `Exception`
  See Also:
    `Invocation.execute()`

### getOutputStream

    public OutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `Invocation`
  See Also:
    `Invocation.getOutputStream()`

### getParameter

    public Object getParameter(String name)

  Specified by:
    `getParameter` in interface `Invocation`
  See Also:
    `Invocation.getParameter(java.lang.String)`

### getParameters

    public Map<String,Object> getParameters()

  Specified by:
    `getParameters` in interface `Invocation`
  See Also:
    `Invocation.getParameters()`

### getRequestURI

    public String getRequestURI()

  Specified by:
    `getRequestURI` in interface `Invocation`
  See Also:
    `Invocation.getRequestURI()`

### getThrowable

    public Throwable getThrowable()

  Specified by:
    `getThrowable` in interface `Invocation`
  See Also:
    `Invocation.getThrowable()`

### hasCompletePipeline

    public boolean hasCompletePipeline()

  Specified by:
    `hasCompletePipeline` in interface `Invocation`
  See Also:
    `Invocation.hasCompletePipeline()`

### installAction

    public void installAction(String type)

  Specified by:
    `installAction` in interface `Invocation`
  See Also:
    `Invocation.installAction(java.lang.String)`

### installComponent

    public void installComponent(String type,
                                 Map<String,? extends Object> componentParameters)

  Specified by:
    `installComponent` in interface `Invocation`
  See Also:
    `Invocation.installComponent(java.lang.String, java.util.Map)`

### installPipeline

    public void installPipeline(String type,
                                Map<String,? extends Object> componentParameters)

  Specified by:
    `installPipeline` in interface `Invocation`
  See Also:
    `Invocation.installPipeline(java.lang.String, java.util.Map)`

### isErrorInvocation

    public boolean isErrorInvocation()

  Specified by:
    `isErrorInvocation` in interface `Invocation`
  See Also:
    `Invocation.isErrorInvocation()`

### popSitemapParameters

    public void popSitemapParameters()

  Specified by:
    `popSitemapParameters` in interface `Invocation`
  See Also:
    `Invocation.popSitemapParameters()`

### pushSitemapParameters

    public void pushSitemapParameters(String nodeName,
                                      Map<String,? extends Object> sitemapParameters)

  Specified by:
    `pushSitemapParameters` in interface `Invocation`
  See Also:
    `Invocation.pushSitemapParameters(java.lang.String, java.util.Map)`

### resolve

    public URL resolve(String resource)

  Specified by:
    `resolve` in interface `Invocation`
  See Also:
    `Invocation.resolve(java.lang.String)`

### setComponentProvider

    public void setComponentProvider(ComponentProvider componentProvider)

### setOutputStream

    public void setOutputStream(OutputStream outputStream)

  Specified by:
    `setOutputStream` in interface `Invocation`
  See Also:
    `Invocation.setOutputStream(java.io.OutputStream)`

### setParameters

    public void setParameters(Map<String,Object> parameters)

  Specified by:
    `setParameters` in interface `Invocation`
  See Also:
    `Invocation.setParameters(java.util.Map)`

### setRequestURI

    public void setRequestURI(String requestURI)

### setThrowable

    public void setThrowable(Throwable throwable)

  Specified by:
    `setThrowable` in interface `Invocation`
  See Also:
    `Invocation.setThrowable(java.lang.Throwable)`

### resolveParameter

    public String resolveParameter(String parameter)

  Specified by:
    `resolveParameter` in interface `Invocation`
  See Also:
    `Invocation.resolveParameter(java.lang.String)`

### setBaseURL

    public void setBaseURL(URL baseURL)

### setObjectModel

    public void setObjectModel(ObjectModel objectModel)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.